package android.content.pm;

import android.content.pm.PackageStats;
/**
 * API for package data change related callbacks from the Package Manager.
 * Some usage scenarios include deletion of cache directory, generate
 * statistics related to code, data, cache usage(TODO)
 * {@hide}
 */
 //LQ add 2018/04/12
oneway interface IPackageDataObserver {

    void onRemoveCompleted(in String pkgName, boolean succeeded);
}