package android.content.pm;

/**
 * API for package data change related callbacks from the Package Manager.
 * Some usage scenarios include deletion of cache directory, generate
 * statistics related to code, data, cache usage(TODO)
 * {@hide}
 */
 //LQ add 2018/03/07
oneway interface IPackageDeleteObserver {

    void packageDeleted(in String packageName, int returnCode);
}