package com.vivo.doubleinstance.aidl;
import java.util.List;
import com.vivo.doubleinstance.aidl.IDIWhitelistQueryCallback;

interface IDIWhitelistQueryFunc{
		List<String> getLabelList();
		List<String> getPkgNameList();
		List<String> getDataDirList();
		List<String> getDataDirsByPkgName(String pkgName);
		String		 getLabelByPkgName(String pkgName);
		boolean 	 isInWhitelist(String pkgName);
		boolean      canCloneNew();
		void         registerCallback(IDIWhitelistQueryCallback callback);
		void         unregisterCallback(IDIWhitelistQueryCallback callback); 
		void         registerCallbackCloneSwitch(IDIWhitelistQueryCallback callback);
        void         unregisterCallbackCloneSwitch(IDIWhitelistQueryCallback callback);
        void         createDoubleInstanceUser();
}
