package com.vivo.easytransfer;
import android.os.ParcelFileDescriptor;
import com.vivo.easytransfer.IEasyBackupRestoreObserver;
import com.vivo.easytransfer.IEasyBackupRestoreProgressCallBack;
interface IEasyBackupRestore {

    String getInfo(int type);

    boolean setInfo(int type,in String Info);

    boolean setData(in ParcelFileDescriptor pfd,in IEasyBackupRestoreObserver observer);

    boolean backup(in IEasyBackupRestoreProgressCallBack callback);

    boolean getData(in ParcelFileDescriptor pfd,in IEasyBackupRestoreObserver observer);

    boolean restore(in IEasyBackupRestoreProgressCallBack callback);

    boolean backupAsync(in IEasyBackupRestoreProgressCallBack callback);

    boolean restoreAsync(in IEasyBackupRestoreProgressCallBack callback);

    boolean backupAsyncWithEncrypt(in IEasyBackupRestoreProgressCallBack callback, in int type);

    boolean restoreAsyncWithEncrypt(in IEasyBackupRestoreProgressCallBack callback, in int type);

    void cancel();
}